Bug 183279 - Install (anaconda) hangs after partition/grub selection.
Install (anaconda) hangs after partition/grub selection.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-27 16:36 EST by Chris Feist
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 17:15:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Feist 2006-02-27 16:36:59 EST
Description of problem:
WHen I install on two different types of machines, (Dell 2850 & HP Opteron)
anaconda appears to freeze either after the partition setup (if I choose not to
view what anaconda recommends) or after I choose the bootloader partition (if I
choose to verify what partitions anaconda creates).  I've looked in the logs in
/tmp/ on the machines and I don't see anything interesting.  The last entry in
the anaconda.log file is Moving (1) to step network.

I've done this booting from a cd and pxeboot, and I choose an NFS install and
point to a directory which has the DVD iso.


Version-Release number of selected component (if applicable):
FC5Test3


How reproducible:
Everytime

Steps to Reproduce:
1. Go through normal install procedure for FC5T3
2.
3.
  
Actual results:
Installation hangs after partition/grub setup.

Expected results:
Installation completes.


Additional info:
Comment 1 Jeremy Katz 2006-03-02 20:24:12 EST
I haven't seen this at all here... cna you look at the output of ps and see if
there's anything weird?  Also, you should be able to unpack strace and attach to
the process to see if it's doing anything
Comment 2 Chris Feist 2006-03-08 19:08:07 EST
I did it and it was just waiting on a select command, so I figured even though
it just showed me a blue screen it was waiting for some input, so I hit
tab-tab-enter, tab-tab-enter and I was then presented with a display to enter
network information.  I'm doing a text install.

The machine I'm doing this on has a DRAC card so you can see exactly what's
happening if you'd like.
Comment 3 Chris Feist 2006-03-16 17:23:27 EST
Just an update, I tried a pxe install with the latest FC5 tree
(fc5-5-20060314.4/) and I had the same problem.  It appears the screens for
entering network info (ie.  dhcp/static/on boot) don't appear at all.  Although
if I hit tab-tab-enter, tab-tab-enter (my machines have two ethernet interfaces)
I then get to the hostname setup screen.
Comment 4 Matthew Miller 2006-07-10 16:57:36 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Matthew Miller 2007-04-06 11:12:33 EDT
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.
Comment 6 James Antill 2007-05-22 23:41:51 EDT
 dropping severity, also fixing the version.

Comment 7 Red Hat Bugzilla 2007-06-11 23:05:02 EDT
requested by Jams Antill
Comment 8 petrosyan 2008-03-10 20:50:48 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 9 Chris Feist 2008-03-11 17:15:08 EDT
Haven't seen this in awhile... closing.

Note You need to log in before you can comment on or make changes to this bug.